DKBSignDocs

API reference

POSTRequires Bearer token

Send email

/api/notifications/email

Submit `/api/notifications/email`. Authenticated routes need `Authorization: Bearer {token}` from `POST /api/v1/login`.

Path parameters

This endpoint has no path parameters.

Query parameters

This endpoint has no query parameters.

Request body

FieldTypeDescription
email
Required
stringRecipient email.
e.g. "jane@acme.test"
subject
Required
stringSubject line.
e.g. "Document ready"
body
Required
stringHTML or text body.
e.g. "<p>Hello</p>"
attachments
arrayOptional base64 attachments.

Responses

StatusMeaning
202See the example response.
500See the example response.

Request

curl
curl -X POST 'https://api.dkbsigns.com/api/notifications/email' \
  -H 'Authorization: Bearer $DKBSIGN_TOKEN' \
  -H 'Content-Type: application/json' \
  -d '{"email":"jane@acme.test","subject":"Document ready","body":"<p>Hello</p>"}'

Response 202

json
{
  "status": "success",
  "message": "Notification sent successfuly"
}